Aggregate Credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cast": [
{
"adult": false,
"gender": 2,
"id": 94713,
"known_for_department": "Acting",
"name": "Warren Mitchell",
"original_name": "Warren Mitchell",
"popularity": 16.735,
"profile_path": "/mMFruuo24m0A8LgVXjE6cUDrGFx.jpg",
"roles": [
{
"credit_id": "5253853f19c295794020694c",
"character": "Alf Garnett",
"episode_count": 6
}
],
"total_episode_count": 6,
"order": 0
},
{
"adult": false,
"gender": 1,
"id": 87747,
"known_for_department": "Acting",
"name": "Dandy Nichols",
"original_name": "Dandy Nichols",
"popularity": 12.296,
"profile_path": "/kOF7x205JqOyjwWkgAWzkMtQBcn.jpg",
"roles": [
{
"credit_id": "5253853e19c29579402068ae",
"character": "Else Garnett",
"episode_count": 6
}
],
"total_episode_count": 6,
"order": 1
},
{
"adult": false,
"gender": 1,
"id": 1218303,
"known_for_department": "Acting",
"name": "Una Stubbs",
"original_name": "Una Stubbs",
"popularity": 16.698,
"profile_path": "/bz23ewpBlZNgSwCLqKPaa8ulKfQ.jpg",
"roles": [
{
"credit_id": "5253853f19c29579402068ea",
"character": "Rita Rawlins",
"episode_count": 6
}
],
"total_episode_count": 6,
"order": 2
},
{
"adult": false,
"gender": 2,
"id": 110455,
"known_for_department": "Acting",
"name": "Anthony Booth",
"original_name": "Anthony Booth",
"popularity": 10.207,
"profile_path": "/qKdk7EFxFRkurP56fXmqkQqQlDm.jpg",
"roles": [
{
"credit_id": "5253854019c295794020699c",
"character": "Mike Rawlins",
"episode_count": 6
}
],
"total_episode_count": 6,
"order": 3
},
{
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 14.053,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg",
"roles": [
{
"credit_id": "5253853b19c2957940206734",
"character": "",
"episode_count": 2
}
],
"total_episode_count": 2,
"order": 500
},
{
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 14.281,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg",
"roles": [
{
"credit_id": "5253853b19c2957940206776",
"character": "",
"episode_count": 2
}
],
"total_episode_count": 2,
"order": 502
},
{
"adult": false,
"gender": 1,
"id": 3478,
"known_for_department": "Acting",
"name": "Pat Coombs",
"original_name": "Pat Coombs",
"popularity": 10.351,
"profile_path": "/RpsQu7OP71FNGVKTMJtQTbSryc.jpg",
"roles": [
{
"credit_id": "5253853819c2957940206458",
"character": "",
"episode_count": 2
}
],
"total_episode_count": 2,
"order": 512
},
{
"adult": false,
"gender": 1,
"id": 40949,
"known_for_department": "Acting",
"name": "Joan Sims",
"original_name": "Joan Sims",
"popularity": 13.961,
"profile_path": "/zlqfbnRk85lAqt5ouKdA0JiQZRG.jpg",
"roles": [
{
"credit_id": "6224aae3680be80044ff2797",
"character": "",
"episode_count": 1
}
],
"total_episode_count": 1,
"order": 513
},
{
"adult": false,
"gender": 2,
"id": 575818,
"known_for_department": "Acting",
"name": "Hugh Lloyd",
"original_name": "Hugh Lloyd",
"popularity": 8.217,
"profile_path": "/1kUCSbU7802Waqb6a2pI2p2cZwu.jpg",
"roles": [
{
"credit_id": "6224b1477c6de3001b8a31b9",
"character": "",
"episode_count": 1
}
],
"total_episode_count": 1,
"order": 514
}
],
"crew": [
{
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 0.867,
"profile_path": null,
"jobs": [
{
"credit_id": "5253853d19c29579402067a6",
"job": "Director",
"episode_count": 6
}
],
"department": "Directing",
"total_episode_count": 6
},
{
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 0.867,
"profile_path": null,
"jobs": [
{
"credit_id": "5253854019c29579402069e6",
"job": "Producer",
"episode_count": 6
}
],
"department": "Production",
"total_episode_count": 6
}
],
"id": 1691
}TV SEASONS
Aggregate Credits
This endpoint get the aggregate credits (cast and crew) that have been added to a TV season.
GET
/
tv
/
{series_id}
/
season
/
{season_number}
/
aggregate_credits
Aggregate Credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/aggregate_credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cast": [
{
"adult": false,
"gender": 2,
"id": 94713,
"known_for_department": "Acting",
"name": "Warren Mitchell",
"original_name": "Warren Mitchell",
"popularity": 16.735,
"profile_path": "/mMFruuo24m0A8LgVXjE6cUDrGFx.jpg",
"roles": [
{
"credit_id": "5253853f19c295794020694c",
"character": "Alf Garnett",
"episode_count": 6
}
],
"total_episode_count": 6,
"order": 0
},
{
"adult": false,
"gender": 1,
"id": 87747,
"known_for_department": "Acting",
"name": "Dandy Nichols",
"original_name": "Dandy Nichols",
"popularity": 12.296,
"profile_path": "/kOF7x205JqOyjwWkgAWzkMtQBcn.jpg",
"roles": [
{
"credit_id": "5253853e19c29579402068ae",
"character": "Else Garnett",
"episode_count": 6
}
],
"total_episode_count": 6,
"order": 1
},
{
"adult": false,
"gender": 1,
"id": 1218303,
"known_for_department": "Acting",
"name": "Una Stubbs",
"original_name": "Una Stubbs",
"popularity": 16.698,
"profile_path": "/bz23ewpBlZNgSwCLqKPaa8ulKfQ.jpg",
"roles": [
{
"credit_id": "5253853f19c29579402068ea",
"character": "Rita Rawlins",
"episode_count": 6
}
],
"total_episode_count": 6,
"order": 2
},
{
"adult": false,
"gender": 2,
"id": 110455,
"known_for_department": "Acting",
"name": "Anthony Booth",
"original_name": "Anthony Booth",
"popularity": 10.207,
"profile_path": "/qKdk7EFxFRkurP56fXmqkQqQlDm.jpg",
"roles": [
{
"credit_id": "5253854019c295794020699c",
"character": "Mike Rawlins",
"episode_count": 6
}
],
"total_episode_count": 6,
"order": 3
},
{
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 14.053,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg",
"roles": [
{
"credit_id": "5253853b19c2957940206734",
"character": "",
"episode_count": 2
}
],
"total_episode_count": 2,
"order": 500
},
{
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 14.281,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg",
"roles": [
{
"credit_id": "5253853b19c2957940206776",
"character": "",
"episode_count": 2
}
],
"total_episode_count": 2,
"order": 502
},
{
"adult": false,
"gender": 1,
"id": 3478,
"known_for_department": "Acting",
"name": "Pat Coombs",
"original_name": "Pat Coombs",
"popularity": 10.351,
"profile_path": "/RpsQu7OP71FNGVKTMJtQTbSryc.jpg",
"roles": [
{
"credit_id": "5253853819c2957940206458",
"character": "",
"episode_count": 2
}
],
"total_episode_count": 2,
"order": 512
},
{
"adult": false,
"gender": 1,
"id": 40949,
"known_for_department": "Acting",
"name": "Joan Sims",
"original_name": "Joan Sims",
"popularity": 13.961,
"profile_path": "/zlqfbnRk85lAqt5ouKdA0JiQZRG.jpg",
"roles": [
{
"credit_id": "6224aae3680be80044ff2797",
"character": "",
"episode_count": 1
}
],
"total_episode_count": 1,
"order": 513
},
{
"adult": false,
"gender": 2,
"id": 575818,
"known_for_department": "Acting",
"name": "Hugh Lloyd",
"original_name": "Hugh Lloyd",
"popularity": 8.217,
"profile_path": "/1kUCSbU7802Waqb6a2pI2p2cZwu.jpg",
"roles": [
{
"credit_id": "6224b1477c6de3001b8a31b9",
"character": "",
"episode_count": 1
}
],
"total_episode_count": 1,
"order": 514
}
],
"crew": [
{
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 0.867,
"profile_path": null,
"jobs": [
{
"credit_id": "5253853d19c29579402067a6",
"job": "Director",
"episode_count": 6
}
],
"department": "Directing",
"total_episode_count": 6
},
{
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 0.867,
"profile_path": null,
"jobs": [
{
"credit_id": "5253854019c29579402069e6",
"job": "Producer",
"episode_count": 6
}
],
"department": "Production",
"total_episode_count": 6
}
],
"id": 1691
}Authorizations
Path Parameters
Response
200 - application/json
Successful